- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CMainFrame Class Reference

Inheritance diagram for CMainFrame:

List of all members.

## Public Member Functions
void | StartWebServer (int nPort)
void | StopWebServer ()
CString | GetStatusMessage ()
bool | IsMuted ()
int | GetVolume ()
| CMainFrame ()
bool | IsFrameLessWindow ()
bool | IsCaptionMenuHidden ()
bool | IsSomethingLoaded ()
bool | IsPlaylistEmpty ()
bool | IsInteractiveVideo ()
void | OpenCurPlaylistItem (REFERENCE_TIME rtStart=0)
void | OpenMedia (CAutoPtr< OpenMediaData > pOMD)
void | CloseMedia ()
void | AddCurDevToPlaylist ()
void | ShowTrayIcon (bool fShow)
void | SetTrayTip (CString str)
CSize | GetVideoSize ()
void | ToggleFullscreen (bool fToNearest, bool fSwitchScreenResWhenHasTo)
void | MoveVideoWindow (bool fShowStats=false)
void | RepaintVideo ()
OAFilterState | GetMediaState ()
REFERENCE_TIME | GetPos ()
REFERENCE_TIME | GetDur ()
void | SeekTo (REFERENCE_TIME rt, bool fSeekToKeyFrame=false)
bool | LoadSubtitle (CString fn)
void | UpdateSubtitle (bool fApplyDefStyle=false)
void | SetSubtitle (ISubStream *pSubStream, bool fApplyDefStyle=false)
void | ReplaceSubtitle (ISubStream *pSubStreamOld, ISubStream *pSubStreamNew)
void | InvalidateSubtitle (DWORD_PTR nSubtitleId=-1, REFERENCE_TIME rtInvalidate=-1)
void | ReloadSubtitle ()
HRESULT | BuildCapture (IPin *pPin, IBaseFilter *pBF[3], const GUID &majortype, AM_MEDIA_TYPE *pmt)
bool | BuildToCapturePreviewPin (IBaseFilter *pVidCap, IPin **pVidCapPin, IPin **pVidPrevPin, IBaseFilter *pAudCap, IPin **pAudCapPin, IPin **pAudPrevPin)
bool | BuildGraphVideoAudio (bool fVPreview, bool fVCapture, bool fAPreview, bool fACapture)
bool | StartCapture ()
bool | StopCapture ()
bool | DoAfterPlaybackEvent ()
virtual BOOL | PreCreateWindow (CREATESTRUCT &cs)
virtual BOOL | PreTranslateMessage (MSG *pMsg)
virtual BOOL | OnCmdMsg (UINT nID, int nCode, void *pExtra, AFX_CMDHANDLERINFO *pHandlerInfo)
virtual void | RecalcLayout (BOOL bNotify=TRUE)
virtual | ~CMainFrame ()
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnDestroy ()
afx_msg LRESULT | OnTaskBarRestart (WPARAM, LPARAM)
afx_msg LRESULT | OnNotifyIcon (WPARAM, LPARAM)
afx_msg void | OnSetFocus (CWnd *pOldWnd)
afx_msg void | OnGetMinMaxInfo (MINMAXINFO *lpMMI)
afx_msg void | OnMove (int x, int y)
afx_msg void | OnSize (UINT nType, int cx, int cy)
afx_msg void | OnSizing (UINT fwSide, LPRECT pRect)
afx_msg void | OnDisplayChange ()
afx_msg void | OnSysCommand (UINT nID, LPARAM lParam)
afx_msg void | OnActivateApp (BOOL bActive, DWORD dwThreadID)
afx_msg LRESULT | OnAppCommand (WPARAM wParam, LPARAM lParam)
afx_msg void | OnTimer (UINT nIDEvent)
afx_msg LRESULT | OnGraphNotify (WPARAM wParam, LPARAM lParam)
afx_msg LRESULT | OnRepaintRenderLess (WPARAM wParam, LPARAM lParam)
afx_msg LRESULT | OnResumeFromState (WPARAM wParam, LPARAM lParam)
BOOL | OnButton (UINT id, UINT nFlags, CPoint point)
afx_msg void | OnLButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnLButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnLButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnMButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnMButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnMButtonDblClk (UINT nFlags, CPoint point)
afx_msg void | OnRButtonDown (UINT nFlags, CPoint point)
afx_msg void | OnRButtonUp (UINT nFlags, CPoint point)
afx_msg void | OnRButtonDblClk (UINT nFlags, CPoint point)
afx_msg LRESULT | OnXButtonDown (WPARAM wParam, LPARAM lParam)
afx_msg LRESULT | OnXButtonUp (WPARAM wParam, LPARAM lParam)
afx_msg LRESULT | OnXButtonDblClk (WPARAM wParam, LPARAM lParam)
afx_msg BOOL | OnMouseWheel (UINT nFlags, short zDelta, CPoint pt)
afx_msg void | OnMouseMove (UINT nFlags, CPoint point)
afx_msg LRESULT | OnNcHitTest (CPoint point)
afx_msg void | OnHScroll (UINT nSBCode, UINT nPos, CScrollBar *pScrollBar)
afx_msg void | OnInitMenu (CMenu *pMenu)
afx_msg void | OnInitMenuPopup (CMenu *pPopupMenu, UINT nIndex, BOOL bSysMenu)
BOOL | OnMenu (CMenu *pMenu)
afx_msg void | OnMenuPlayerShort ()
afx_msg void | OnMenuPlayerLong ()
afx_msg void | OnMenuFilters ()
afx_msg void | OnUpdatePlayerStatus (CCmdUI *pCmdUI)
afx_msg void | OnFilePostOpenmedia ()
afx_msg void | OnUpdateFilePostOpenmedia (CCmdUI *pCmdUI)
afx_msg void | OnFilePostClosemedia ()
afx_msg void | OnUpdateFilePostClosemedia (CCmdUI *pCmdUI)
afx_msg void | OnBossKey ()
afx_msg void | OnStreamAudio (UINT nID)
afx_msg void | OnStreamSub (UINT nID)
afx_msg void | OnStreamSubOnOff ()
afx_msg void | OnOgmAudio (UINT nID)
afx_msg void | OnOgmSub (UINT nID)
afx_msg void | OnDvdAngle (UINT nID)
afx_msg void | OnDvdAudio (UINT nID)
afx_msg void | OnDvdSub (UINT nID)
afx_msg void | OnDvdSubOnOff ()
afx_msg void | OnFileOpenmedia ()
afx_msg void | OnUpdateFileOpen (CCmdUI *pCmdUI)
afx_msg BOOL | OnCopyData (CWnd *pWnd, COPYDATASTRUCT *pCopyDataStruct)
afx_msg void | OnFileOpendvd ()
afx_msg void | OnFileOpendevice ()
afx_msg void | OnFileOpenCD (UINT nID)
afx_msg void | OnDropFiles (HDROP hDropInfo)
afx_msg void | OnFileSaveas ()
afx_msg void | OnUpdateFileSaveas (CCmdUI *pCmdUI)
afx_msg void | OnFileSaveImage ()
afx_msg void | OnFileSaveImageAuto ()
afx_msg void | OnUpdateFileSaveImage (CCmdUI *pCmdUI)
afx_msg void | OnFileConvert ()
afx_msg void | OnUpdateFileConvert (CCmdUI *pCmdUI)
afx_msg void | OnFileLoadsubtitles ()
afx_msg void | OnUpdateFileLoadsubtitles (CCmdUI *pCmdUI)
afx_msg void | OnFileSavesubtitles ()
afx_msg void | OnUpdateFileSavesubtitles (CCmdUI *pCmdUI)
afx_msg void | OnSubtitledatabaseSearch ()
afx_msg void | OnUpdateSubtitledatabaseSearch (CCmdUI *pCmdUI)
afx_msg void | OnSubtitledatabaseUpload ()
afx_msg void | OnUpdateSubtitledatabaseUpload (CCmdUI *pCmdUI)
afx_msg void | OnSubtitledatabaseDownload ()
afx_msg void | OnUpdateSubtitledatabaseDownload (CCmdUI *pCmdUI)
afx_msg void | OnFileProperties ()
afx_msg void | OnUpdateFileProperties (CCmdUI *pCmdUI)
afx_msg void | OnFileClosePlaylist ()
afx_msg void | OnFileCloseMedia ()
afx_msg void | OnUpdateFileClose (CCmdUI *pCmdUI)
afx_msg void | OnViewCaptionmenu ()
afx_msg void | OnUpdateViewCaptionmenu (CCmdUI *pCmdUI)
afx_msg void | OnViewControlBar (UINT nID)
afx_msg void | OnUpdateViewControlBar (CCmdUI *pCmdUI)
afx_msg void | OnViewSubresync ()
afx_msg void | OnUpdateViewSubresync (CCmdUI *pCmdUI)
afx_msg void | OnViewPlaylist ()
afx_msg void | OnUpdateViewPlaylist (CCmdUI *pCmdUI)
afx_msg void | OnViewCapture ()
afx_msg void | OnUpdateViewCapture (CCmdUI *pCmdUI)
afx_msg void | OnViewMinimal ()
afx_msg void | OnUpdateViewMinimal (CCmdUI *pCmdUI)
afx_msg void | OnViewCompact ()
afx_msg void | OnUpdateViewCompact (CCmdUI *pCmdUI)
afx_msg void | OnViewNormal ()
afx_msg void | OnUpdateViewNormal (CCmdUI *pCmdUI)
afx_msg void | OnViewFullscreen ()
afx_msg void | OnViewFullscreenSecondary ()
afx_msg void | OnUpdateViewFullscreen (CCmdUI *pCmdUI)
afx_msg void | OnViewZoom (UINT nID)
afx_msg void | OnUpdateViewZoom (CCmdUI *pCmdUI)
afx_msg void | OnViewDefaultVideoFrame (UINT nID)
afx_msg void | OnUpdateViewDefaultVideoFrame (CCmdUI *pCmdUI)
afx_msg void | OnViewKeepaspectratio ()
afx_msg void | OnUpdateViewKeepaspectratio (CCmdUI *pCmdUI)
afx_msg void | OnViewCompMonDeskARDiff ()
afx_msg void | OnUpdateViewCompMonDeskARDiff (CCmdUI *pCmdUI)
afx_msg void | OnViewPanNScan (UINT nID)
afx_msg void | OnUpdateViewPanNScan (CCmdUI *pCmdUI)
afx_msg void | OnViewPanNScanPresets (UINT nID)
afx_msg void | OnUpdateViewPanNScanPresets (CCmdUI *pCmdUI)
afx_msg void | OnViewRotate (UINT nID)
afx_msg void | OnUpdateViewRotate (CCmdUI *pCmdUI)
afx_msg void | OnViewAspectRatio (UINT nID)
afx_msg void | OnUpdateViewAspectRatio (CCmdUI *pCmdUI)
afx_msg void | OnViewOntop (UINT nID)
afx_msg void | OnUpdateViewOntop (CCmdUI *pCmdUI)
afx_msg void | OnViewOptions ()
afx_msg void | OnPlayPlay ()
afx_msg void | OnPlayPause ()
afx_msg void | OnPlayPlaypause ()
afx_msg void | OnPlayStop ()
afx_msg void | OnUpdatePlayPauseStop (CCmdUI *pCmdUI)
afx_msg void | OnPlayFramestep (UINT nID)
afx_msg void | OnUpdatePlayFramestep (CCmdUI *pCmdUI)
afx_msg void | OnPlaySeek (UINT nID)
afx_msg void | OnPlaySeekKey (UINT nID)
afx_msg void | OnUpdatePlaySeek (CCmdUI *pCmdUI)
afx_msg void | OnPlayGoto ()
afx_msg void | OnUpdateGoto (CCmdUI *pCmdUI)
afx_msg void | OnPlayChangeRate (UINT nID)
afx_msg void | OnUpdatePlayChangeRate (CCmdUI *pCmdUI)
afx_msg void | OnPlayResetRate ()
afx_msg void | OnUpdatePlayResetRate (CCmdUI *pCmdUI)
afx_msg void | OnPlayChangeAudDelay (UINT nID)
afx_msg void | OnUpdatePlayChangeAudDelay (CCmdUI *pCmdUI)
afx_msg void | OnPlayFilters (UINT nID)
afx_msg void | OnUpdatePlayFilters (CCmdUI *pCmdUI)
afx_msg void | OnPlayShaders (UINT nID)
afx_msg void | OnUpdatePlayShaders (CCmdUI *pCmdUI)
afx_msg void | OnPlayAudio (UINT nID)
afx_msg void | OnUpdatePlayAudio (CCmdUI *pCmdUI)
afx_msg void | OnPlaySubtitles (UINT nID)
afx_msg void | OnUpdatePlaySubtitles (CCmdUI *pCmdUI)
afx_msg void | OnPlayLanguage (UINT nID)
afx_msg void | OnUpdatePlayLanguage (CCmdUI *pCmdUI)
afx_msg void | OnPlayVolume (UINT nID)
afx_msg void | OnAfterplayback (UINT nID)
afx_msg void | OnUpdateAfterplayback (CCmdUI *pCmdUI)
afx_msg void | OnNavigateSkip (UINT nID)
afx_msg void | OnUpdateNavigateSkip (CCmdUI *pCmdUI)
afx_msg void | OnNavigateSkipPlaylistItem (UINT nID)
afx_msg void | OnUpdateNavigateSkipPlaylistItem (CCmdUI *pCmdUI)
afx_msg void | OnNavigateMenu (UINT nID)
afx_msg void | OnUpdateNavigateMenu (CCmdUI *pCmdUI)
afx_msg void | OnNavigateAudio (UINT nID)
afx_msg void | OnNavigateSubpic (UINT nID)
afx_msg void | OnNavigateAngle (UINT nID)
afx_msg void | OnNavigateChapters (UINT nID)
afx_msg void | OnNavigateMenuItem (UINT nID)
afx_msg void | OnUpdateNavigateMenuItem (CCmdUI *pCmdUI)
afx_msg void | OnFavoritesAdd ()
afx_msg void | OnUpdateFavoritesAdd (CCmdUI *pCmdUI)
afx_msg void | OnFavoritesOrganize ()
afx_msg void | OnUpdateFavoritesOrganize (CCmdUI *pCmdUI)
afx_msg void | OnFavoritesFile (UINT nID)
afx_msg void | OnUpdateFavoritesFile (CCmdUI *pCmdUI)
afx_msg void | OnFavoritesDVD (UINT nID)
afx_msg void | OnUpdateFavoritesDVD (CCmdUI *pCmdUI)
afx_msg void | OnFavoritesDevice (UINT nID)
afx_msg void | OnUpdateFavoritesDevice (CCmdUI *pCmdUI)
afx_msg void | OnHelpHomepage ()
afx_msg void | OnHelpDocumentation ()
afx_msg void | OnHelpDonate ()
afx_msg void | OnClose ()
## Public Attributes
int | m_iPlaybackMode
bool | m_fFullScreen
bool | m_fHideCursor
CControlBar * | m_pLastBar
bool | m_fTrayIcon
bool | m_fCapturing
## Protected Types
enum |
## Protected Member Functions
bool | OpenMediaPrivate (CAutoPtr< OpenMediaData > pOMD)
void | CloseMediaPrivate ()
void | SendNowPlayingToMSN ()
void | OpenCreateGraphObject (OpenMediaData *pOMD)
void | OpenFile (OpenFileData *pOFD)
void | OpenDVD (OpenDVDData *pODD)
void | OpenCapture (OpenDeviceData *pODD)
void | OpenCustomizeGraph ()
void | OpenSetupVideo ()
void | OpenSetupAudio ()
void | OpenSetupInfoBar ()
void | OpenSetupStatsBar ()
void | OpenSetupStatusBar ()
void | OpenSetupCaptureBar ()
void | OpenSetupWindowTitle (CString fn=_T(""))
DROPEFFECT | OnDragEnter (COleDataObject *pDataObject, DWORD dwKeyState, CPoint point)
DROPEFFECT | OnDragOver (COleDataObject *pDataObject, DWORD dwKeyState, CPoint point)
BOOL | OnDrop (COleDataObject *pDataObject, DROPEFFECT dropEffect, CPoint point)
DROPEFFECT | OnDropEx (COleDataObject *pDataObject, DROPEFFECT dropDefault, DROPEFFECT dropList, CPoint point)
void | OnDragLeave ()
DROPEFFECT | OnDragScroll (DWORD dwKeyState, CPoint point)
void | LoadControlBar (CControlBar *pBar, CString section, UINT defDockBarID)
void | SaveControlBar (CControlBar *pBar, CString section)
## Protected Attributes
int | m_iMediaLoadState
bool | m_fAudioOnly
dispmode | m_dmBeforeFullscreen
DVD_DOMAIN | m_iDVDDomain
int | m_iSpeedLevel
double | m_ZoomX
double | m_ZoomY
double | m_PosX
double | m_PosY
int | m_AngleX
int | m_AngleY
int | m_AngleZ
CGraphThread * | m_pGraphThread
CArray< REFERENCE_TIME > | m_kfs
bool | m_fOpeningAborted
CChildView | m_wndView
CPlayerSeekBar | m_wndSeekBar
CPlayerToolBar | m_wndToolBar
CPlayerInfoBar | m_wndInfoBar
CPlayerInfoBar | m_wndStatsBar
CPlayerStatusBar | m_wndStatusBar
CList< CControlBar * > | m_bars
CPlayerSubresyncBar | m_wndSubresyncBar
CPlayerPlaylistBar | m_wndPlaylistBar
CPlayerCaptureBar | m_wndCaptureBar
CList< CControlBar * > | m_dockingbars
CFileDropTarget | m_fileDropTarget
## Friends
class | CPPageFileInfoSheet
class | CPPageLogo
class | CTextPassThruFilter
class | CWebClientSocket
class | CWebServer
class | CGraphThread
class | CPPagePlayback
class | CMPlayerCApp

## Detailed Description

Definition at line 133 of file MainFrm.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/apps/mplayerc/MainFrm.h
- C:/guliverkli/src/apps/mplayerc/MainFrm.cpp